#ifdef GL_ES
precision highp float;
#endif

uniform mat4 TextureMatrix[8];
uniform mat4 ProjModelViewMatrix;
attribute vec3 Vertex;
attribute vec2 TexCoord0;
varying vec2 texCoord;

void main(void)
{
	gl_Position = ProjModelViewMatrix * vec4(Vertex, 1.0);
	texCoord = (TextureMatrix[0] * vec4(TexCoord0, 1.0, 1.0)).xy;
}