#ifdef GL_ES
precision highp float;
#endif

uniform sampler2D Texture[8];
varying vec2 texCoord;

void main(void)
{
	vec4 color = texture2D(Texture[0], texCoord);
	color += texture2D(Texture[0], texCoord+vec2(0.01, 0.0));
	color += texture2D(Texture[0], texCoord+vec2(-0.01, 0.0));
	color += texture2D(Texture[0], texCoord+vec2(0.0, 0.01));
	color += texture2D(Texture[0], texCoord+vec2(0.0, -0.01));
	color += texture2D(Texture[0], texCoord+vec2(0.007, 0.007));
	color += texture2D(Texture[0], texCoord+vec2(-0.007, -0.007));
	color += texture2D(Texture[0], texCoord+vec2(0.007, -0.007));
	color += texture2D(Texture[0], texCoord+vec2(-0.007, 0.007));

	color /= 9.0;

	gl_FragColor = color;
}